<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Class for auto-forwarding to the target file
 */
class Go_Forward
{

    /**
     * Forwarding (automatic)
     *
     * @param type $target
     * @param type $query_string 
     */
    function go_to_target($target, $query_string = '')
    {
        if (empty($query_string)) {
            $link_10 = $target;
        }else{
            $link_10 = $target . '?' . $query_string;
        }

        // Auto forwarding works only with private error handler
        if(AUTO_FORWARD == true) {
            header("Location:$link_10");

        // Forwarding with link
        }else{
            print '<a href="' . $link_10 . '"> weiter</a>';
        }
        exit();
    }


} // end class